﻿namespace TestProject;

/// <summary>
/// 프로그램
/// </summary>
class Program
{
    //////////////////////////////////////////////////////////////////////////////////////////////////// Method
    ////////////////////////////////////////////////////////////////////////////////////////// Static
    //////////////////////////////////////////////////////////////////////////////// Private

    #region 프로그램 시작하기 - Main()

    /// <summary>
    /// 프로그램 시작하기
    /// </summary>
    private static void Main()
    {
        List<Item> sourceList = new List<Item>();

        sourceList.Add(new Item { ID = 1, Name = "항목1", Code = "CODE1", Price = 100});
        sourceList.Add(new Item { ID = 1, Name = "항목1", Code = "CODE1", Price = 100});
        sourceList.Add(new Item { ID = 2, Name = "항목2", Code = "CODE2", Price = 200});
        sourceList.Add(new Item { ID = 2, Name = "항목2", Code = "CODE2", Price = 200});
        sourceList.Add(new Item { ID = 3, Name = "항목3", Code = "CODE3", Price = 300});

        IEnumerable<Item> resultEnumerable = sourceList.Distinct();

        foreach(Item item in resultEnumerable)
        {
            Console.WriteLine(item);
        }
    }

    #endregion
}